İçerikler

# Eklenti İşlevleri

Aşağıda eklenti işlevlerinden bazıları açıklanmış ve listelenmiştir.

Eklenti kavramı

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Sağlanan eklentiler

LibreOffice Calc için eklenti arabirimi örnekleri, LibreOffice'de bulunmaktadır.

Analiz İşlevleri Kısım Bir

Analiz İşlevleri Kısım İki

## DAYSINMONTH

Verilen tarihin içinde bulunduğu ayın, toplam gün sayısını verir.

#### Syntax

AYDAKİGÜNLER(Tarih)

Tarih İstenilen yılın sırasındaki ay için bir tarihtir. Tarih parametresi LibreOffice yerel ayarlarına göre geçerli bir gösterim olmalıdır.

#### Example

=AYDAKİGÜNLER(A1) eğer a1 hücresinde 1968-02-17 gibi, Şubat 1968'den bir tarih var ise, 29 sonucunu verir.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINMONTH

DAYSINMONTH wiki page.

## DAYSINYEAR

Verilen tarih için yılın gününü hesaplayarak döndürür.

#### Syntax

YILDAKİGÜNLER(Tarih)

Tarih İstenilen yılın sırasından bir tarihtir. Tarih parametresi LibreOffice yerel ayarlarına göre geçerli bir gösterim olmalıdır.

#### Example

=YILDAKİGÜNLER(A1) eğer A1 hücresinde 1968-02-29 gibi, 1968 yılından geçerli bir tarih bulunuyorsa, 366 sonucunu verir. 1968 yılı da artık bir yıldır.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINYEAR

DAYSINYEAR wiki page.

## ISLEAPYEAR

Bir yılın artık yıl olup olmadığını test eder. Artık yıl ise bu işlev 1 (DOĞRU), artık değilse 0 (YANLIŞ) değeri verir.

#### Syntax

ARTIKYILMI("Tarih")

Tarih verilen bir tarihin artık bir yıla isabet edip etmediğini belirler. Tarih parametresi geçerli bir gösterim olmalıdır.

Microsoft Excel wrongly assumes year 1900 to be a leap year and considers the inexistent day of 1900-02-29 as valid in date calculations. Dates prior to 1900-03-01 are therefore different in Excel and Calc.

#### Example

=ARTIKYILMI(A1) eğer A1 17/02/08 tarihini içeriyorsa, 1 sonucunu verir. 2008 yılı artık bir yıldır.

Tarihin ISO 8601 gösterimiyle =ARTIKYILMI(TARİH(1968;2;29)) veya =ARTIKYILMI("1968-02-29") şeklinde de kullanabilirsiniz.

Asla =ARTIKYILMI(29/2/68) şeklinde kullanmayın, çünkü önce 29 2'ye bölünür, 2 ise 68'e bölünür ve sonra ARTIKYILMI bu küçük sayıdan seri tarih sayısı varmış gibi hesaplamaya çalışır.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ISLEAPYEAR

ISLEAPYEAR wiki page.

## MONTHS

Verilen iki tarih arasındaki ay sayısını verir.

#### Syntax

AYLAR(Başlangıç tarihi; Bitiş tarihi; Tür)

Başlangıç tarihi başlangıç tarihini gösteren tarihtir.

Bitiş tarihi bitiş tarihini gösteren tarihtir.

Tür farkı türüne göre hesaplar. Geçerli değerler 0 (aralık) ve 1 (takvim ayları) olabilir.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.MONTHS

MONTHS wiki page.

## ROT13

Bir metin dizesini, karakterleri alfabedeki 13 karakter ilerisindeki karakter ile değiştirerek şifreler. Z harfinden sonra alfabeye yeniden başlar (Rotasyon). işlevin şifrelenmiş metine tekrar uygulanması ile şifresi çözülmüş metni elde edebilirsiniz.

#### Syntax

ROT13(Metin)

Metin şifrelenecek karakter dizisidir. ROT13(ROT13(Metin)) metnin şifresini çözer.

#### Example

=ROT13("Gur Qbphzrag Sbhaqngvba jnf sbhaqrq va Frcgrzore 2010.") returns the string "The Document Foundation was founded in September 2010.". Notice how spaces, digits, and full stops are unaffected by ROT13.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ROT13

Refer to the ROT13 wiki page for more details about this function.

## WEEKS

Verilen iki tarih arasındaki hafta sayısını verir.

#### Syntax

HAFTALAR(Başlangıç tarihi; Bitiş tarihi; Tür)

StartDate is the start date in the interval.

EndDate is the end date in the interval. The end date must be greater than the start date, or else an error is returned.

Type specifies the type of difference to be calculated. Possible values are 0 (time interval) or 1 (calendar weeks).

If Type = 0 the function will assume that 7 days is equivalent to one week without considering any specific day to mark the beginning of a week.

If Type = 1 the function will consider Monday to be the first day of the week. Therefore, except for the start date, each occurrence of a Monday in the interval is counted as an additional week.

This function considers Monday to be the first day of the week regardless of the current locale settings.

#### Example

In the following examples, dates are passed as strings. However, they can also be stored in separate cells and be passed as references.

=WEEKS("2022-01-12","2022-01-17",0) returns 0 because Type was set to 0 and there are only 5 days in the interval.

=WEEKS("2022-01-12","2022-01-19",0) returns 1 because Type was set to 0 and there are 7 days in the interval.

=WEEKS("2022-01-12","2022-01-17",1) returns 1 because Type was set to 1 and the interval contains a Monday, since 2022-01-12 is a Wednesday and 2022-01-17 is a Monday.

=WEEKS("2022-01-12","2022-01-15",1) returns 0 because Type was set to 1 and the interval does not contain any Mondays, except for the start date.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKS

WEEKS wiki page.

## WEEKSINYEAR

Verilen tarihe göre, o tarihin isabet ettiği yılın haftasının sayısını verir. Hafta sayısı şöyle hesaplanır: Günleri iki yılda da bulunan bir hafta en fazla günü hangi yılda kalmışsa, o yıla eklenir.

#### Syntax

YILDAKİHAFTALAR(Tarih)

Tarih İstenilen yılın sırasından bir tarihtir. Tarih parametresi LibreOffice yerel ayarlarına göre geçerli bir gösterim olmalıdır.

Following ISO 8601, this function considers Monday to be the first day of the week, and the first week of a year is the one with most days in this year.

#### Example

WEEKSINYEAR(A1) Eğer A1 17/02/1970 gibi 1970 yılında geçerli bir tarih içeriyorsa, 53 sayısı ile döner.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKSINYEAR

WEEKSINYEAR wiki page.

## YEARS

Verilen iki tarih arasındaki yıl sayısını verir.

#### Syntax

YILLAR(Başlangıç tarihi; Bitiş tarihi; Tür)

Başlangıç tarihi başlangıç tarihini gösteren tarihtir.

Bitiş tarihi bitiş tarihini gösteren tarihtir.

Tür farkı türüne göre hesaplar. Geçerli değerler 0 (aralık) ve 1 (takvim yılları) olabilir.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.YEARS

YEARS wiki page.

## LibreOffice API yoluyla çalıştırılan eklentiler

Add-ins can also be implemented through the LibreOffice API.

İlgili Konular

Kategoriler Halinde Fonksiyonlar

Lütfen bizi destekleyin!